Bug 971282 - Evaluator 'str' does not work wit logical or
Evaluator 'str' does not work wit logical or
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: DR6
: 6.0.0
Assigned To: Mario Fusco
Tomas Schlosser
Mario Fusco
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 03:56 EDT by Tomas Schlosser
Modified: 2014-08-06 16:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:16:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DROOLS-169 Major Resolved Evaluator 'str' does not work wit logical or 2013-10-14 04:15:48 EDT

  None (edit)
Description Tomas Schlosser 2013-06-06 03:56:55 EDT
Description of problem:
When using multiple constraints connected with logical or, the rules can't be compiled. The compiler complains that DefaultFactHandle  can't be cast to String.

Version-Release number of selected component (if applicable):
Drools 6.0.0.Beta3, Drools master (2013-06-06)

How reproducible:
Pull request with the test submitted on Github

Steps to Reproduce:
1. run testStrWithLogicalOr JUnit test

Actual results:
Rules don't compile

Expected results:
Rules compile and correct number of rules are fired

Additional info:
It does not matter whether constraint with str evaluator is first or second.
Comment 1 Tomas Schlosser 2013-06-06 03:59:54 EDT
Submitted as pull request #209
Comment 2 JBoss JIRA Server 2013-06-14 11:34:46 EDT
Mario Fusco <mario.fusco@gmail.com> updated the status of jira DROOLS-169 to Resolved
Comment 7 Tomas Schlosser 2013-10-14 04:15:39 EDT
Verified in BRMS.6.0.0.ER4

Note You need to log in before you can comment on or make changes to this bug.